%define upstream_name    Test-Roo
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Test::Roo examples
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::More)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(strictures)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This module allows you to compose the Test::More manpage tests from roles.
It is inspired by the excellent the Test::Routine manpage module, but uses
the Moo manpage instead of the Moose manpage. This gives most of the
benefits without the need for the Moose manpage as a test dependency.

Test files are Moo classes. You can define any needed test fixtures as Moo
attributes. You define tests as method modifiers -- similar in concept to
'subtest' in the Test::More manpage, but your test method will be passed
the test object for access to fixture attributes. You may compose any the
Moo::Role manpage into your test to define attributes, require particular
methods, or define tests.

This means that you can isolate test _behaviors_ into roles which require
certain test _fixtures_ in order to run. Your main test file will provide
the fixtures and compose the roles to run. This makes it easy to reuse test
behaviors.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.4.0-5.mga6
+ Revision: 1034626
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.4.0-4.mga6
+ Revision: 946422
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 740440
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.0-2.mga5
+ Revision: 686533
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 1.4.0-1.mga5
+ Revision: 660496
- update to 1.004

* Sat Jun 28 2014 sander85 <sander85> 1.3.0-1.mga5
+ Revision: 640828
- update to 1.003

* Thu Feb 13 2014 jquelin <jquelin> 1.2.0-1.mga5
+ Revision: 590569
- imported package perl-Test-Roo


* Thu Feb 13 2014 cpan2dist 1.002-1mga
- initial mageia release, generated with cpan2dist
